Thanks
Posts made by samyell77
-
RE: Codec incompatible with video size selected? ERROR
Thanks, have tried all sorts - even tried typing the default 320x240 but get the same error message.
-
RE: Codec incompatible with video size selected? ERROR
Anyone? Stuck on the default now so cant export anything other than 320x240? Any help much appreciated.
Cheers
Sam -
RE: Codec incompatible with video size selected? ERROR
Thought it might be an issue to do with how I have set up my template file so I have selected one of the SU standard templates and tried again to change the output size on animation but no joy. I have tried including scene transitions and not including them? Even typing the default size 320x280 back in brings up the error message.
Thanks -
Codec incompatible with video size selected? ERROR
Hi,
Can anyone shed any light on this error message for me. Am trying to export an animation (no scene transitions) but whenever I try to change the size of the image to anything apart from 2000pix x 1500pix I get the following error messageThe codec incompatible with the video size you selected!
Anyone got any ideas? Have tried this with TIF, JPG but no joy?
-
RE: Layout wishlist
Damn - worth a try, thought I might catch you sleeping!
-
RE: Script to bring all components from library into SU model
Hi TIG,
Managed to have another look at this today - afraid Im falling at the last hurdle tho. Have run the code an managed to get them to load into the components browser but can't seem to get the components to place into the model. Once I have run this part of code;skpfolderpath='C:\Users\sam.morris\Documents\TEST COMPS'
model=Sketchup.active_model
ents=model.active_entities
defs=model.definitions
pt=Geom::Point3d.new(0,0,0)
skps=[]
Dir.foreach(skpfolderpath){|f|skps << File.join(skpfolderpath, f) if File.extname(f).downcase==".skp"}
skps.each{|skp|defn=defs.load(skp);}the components load into the component browser. Can I just check that nothing should be loading into the model window at this point. Not sure whether
pt=Geom::Point3d.new(0,0,0)
should actually put each newly loaded component into the model at 0,0,0?
I have tried pasting the next piece of code in so that it reads as follows;
skpfolderpath='C:\Users\sam.morris\Documents\TEST COMPS'
model=Sketchup.active_model
ents=model.active_entities
defs=model.definitions
pt=Geom::Point3d.new(0,0,0)
skps=[]
Dir.foreach(skpfolderpath){|f|skps << File.join(skpfolderpath, f) if File.extname(f).downcase==".skp"}
skps.each{|skp|defn=defs.load(skp);tr=Geom::Transformation.new
(pt)inst=defs.add_instance(defn, tr)pt.x=pt.x+1.m}When I run this in the (plugin) Ruby Code Editor I get the following from the Ruby Console;
"Nil result (no result returned or run failed)"
Error: #<SyntaxError: (eval):9:ininitialize': compile error (eval):9: syntax error, unexpected tIDENTIFIER, expecting '}' (pt)inst=defs.add_instance(defn, tr)pt.x=pt.x+1.m} ^ (eval):9: syntax error, unexpected tIDENTIFIER, expecting '}' (pt)inst=defs.add_instance(defn, tr)pt.x=pt.x+1.m} ^> C:/Program Files (x86)/Google/Google SketchUp 8/Plugins/as_plugins/as_rubyeditor/as_rubyeditor.rb:178:in
initialize'
C:/Program Files (x86)/Google/Google SketchUp 8/Plugins/as_plugins/as_rubyeditor/as_rubyeditor.rb:199:ineval' C:/Program Files (x86)/Google/Google SketchUp 8/Plugins/as_plugins/as_rubyeditor/as_rubyeditor.rb:178:in
initialize'
C:/Program Files (x86)/Google/Google SketchUp 8/Plugins/as_plugins/as_rubyeditor/as_rubyeditor.rb:199:in `call'
C:/Program Files (x86)/Google/Google SketchUp 8/Plugins/as_plugins/as_rubyeditor/as_rubyeditor.rb:199Ive tried moving '}' to various different points and have put various bits of code on new lines but still cant seem to find out why this isn't working. Really sorry to trouble you with this again but Im sooo close to getting this working - any chance you can help me get the last bit sorted? Ive attached a screen grab showing the components in the browser but not in the model and also to show how the code is formatted in the Ruby Code Editor. Just want to get the loaded components from the browser into the model starting at 0,0,0 and spaced at 1m increments along the x plane - and am tantalizingly close!
Thanks again for all your help ...
Sam
-
RE: Script to bring all components from library into SU model
Hi TIG,
Getting somewhere now - Im getting the list! Just to let you know Im using the plugin Ruby Console Editor to run your scripts and am now viewing the results in the (built in) Ruby Console - I hope this isn't causing any of the issues.
I ran the first part of your test and got the following@unknownuser said:
.
..
PLAT Carpet Amber FULL Diagonal A.skp
PLAT Carpet Amber FULL Diagonal B.skp
PLAT Carpet Amber FULL Diagonal C.skp
PLAT Carpet Amber FULL Diagonal D.skp
"Nil result (no result returned or run failed)"Then I ran the second part and got
@unknownuser said:
.
..
PLAT Carpet Amber FULL Diagonal A.skp
PLAT Carpet Amber FULL Diagonal B.skp
PLAT Carpet Amber FULL Diagonal C.skp
PLAT Carpet Amber FULL Diagonal D.skp
"Nil result (no result returned or run failed)"When I type 'skps' i get this
@unknownuser said:
.
..
PLAT Carpet Amber FULL Diagonal A.skp
PLAT Carpet Amber FULL Diagonal B.skp
PLAT Carpet Amber FULL Diagonal C.skp
PLAT Carpet Amber FULL Diagonal D.skp
"C:/Users/sam.morris/Documents/TEST COMPS/PLAT Carpet Amber FULL Diagonal A.skpC:/Users/sam.morris/Documents/TEST COMPS/PLAT Carpet Amber FULL Diagonal B.skpC:/Users/sam.morris/Documents/TEST COMPS/PLAT Carpet Amber FULL Diagonal C.skpC:/Users/sam.morris/Documents/TEST COMPS/PLAT Carpet Amber FULL Diagonal D.skp"So Im getting somewhere - the (plugin) Ruby Console Editor wasn't showing me the list so didn't look like anything was happening.
I tried copying and pasting some of your code to load the skps but Im a serious Ruby novice so keep getting syntax error messages! Im guessing what I need to do next is run this piece of code@unknownuser said:
skps.each{|skp|defn=defs.load(skp)
But couldn't work out whether in needs to be in any kind of container '{}' or '[]'?
Once I have loaded the skps, do I need to past the following into the console at ###@unknownuser said:
tr=Geom::Transformation.new(pt)
inst=defs.add_instance(defn, tr)
pt.x=pt.x+1.mThanks again
-
RE: Script to bring all components from library into SU model
Thanks again TIG
@unknownuser said:
skpfolderpath='C:\Users\sam.morris\Documents\TEST COMPS'
OR wherever the SKPs are...
model=Sketchup.active_model
ents=model.active_entities
defs=model.definitions
pt=Geom::Point3d.new(0,0,0)
skps=[]
Dir.foreach(skpfolderpath){|f|skps << File.join(skpfolderpath, f) if File.extname(f).downcase==".skp"}
then load from the list of SKPs...
skps.each{|skp|defn=defs.load(skp);###}Pasted all this in in one go and still get a Nil result - . Thought I'd try with a small, local component folder so copied some SKPs onto into a folder in my documents folder and pasted the path into your script. Have tried this with '/' and '' separators cos I remember there was an issue with that previously on another script you looked at for me.
I had been working through the script in sections previously but this time pasted it all in - is this correct or do I still need to iterate down (manually) through the components in the components library before running@unknownuser said:
skps=[]
Dir.foreach(skpfolderpath){|f|skps << File.join(skpfolderpath, f) if File.extname(f).downcase==".skp"}
then load from the list of SKPs...
skps.each{|skp|defn=defs.load(skp);###}Sorry to keep coming back . . . with a nil result
Hope this makes sense -
RE: Script to bring all components from library into SU model
Thanks TIG
Copied and pasted from the edited post and now get this message from the console@unknownuser said:
Running the code...Done. Feedback from Ruby: Run aborted (error has occurred)
Do I need to start over and re-load the components into the model? -
RE: Script to bring all components from library into SU model
Hi TIG,
Thanks for looking at this - have been busy with other projects so haven't had time to take another look at this until now. Ive run through the first part of your script@unknownuser said:
skpfolderpath='C:/temp/my_compos'
OR wherever the SKPs are...
model=Sketchup.active_model
ents=model.active_entities
defs=model.definitions
pt=Geom::Point3d.new(0,0,0)and get this message from the console
@unknownuser said:
Running the code...Done. Feedback from Ruby: (0mm, 0mm, 0mm)
Then I iterate through the contents of the folder which loads the components into the models component list.
Then I pasted the next part of the script into the ruby console@unknownuser said:
skps=[]
Dir.foreach(skpfolderpath){|f|skps << File.join(skpfolderpath, f) if File.extname(f).downcase==.".skp"}and get this message
@unknownuser said:
Running the code...Done. Feedback from Ruby: Nil result (no result returned or run failed)
Not quite sure what is supposed to happen at this point and wonder if you could clarify for me.
Also on the next part of the script where you refer to definitions Im not sure what I need to put in in place of ###***
Sorry if this is all totally obvious - ive re-read your post many times over and Im afraid I cant work out what to do next.Thanks
-
RE: Auto Page Numbering Please! which could also mean
If page numbering ever happens in LO you might be given the option to add prefixes to your page numbers. This is possible to do in InDesign and you could arrange page numbers exactly as you have described below - with a chapter number prefix for the type of drawing (1 for site plan, 2 for floor plan, 3 for section etc) and then the page numbers could be generated as you add pages. Its a really handy feature of indesign and would be really handy in LO - but as Gaieus said this has been asked for many times, just hoping that if its said enough the next release of LO might include this feature and save me having to manually do it!
-
RE: Auto Page Numbering Please! which could also mean
I don't think you are missing anything, I guess it depends on how often you need to change your page numbers and what kind of 'functionality' you like built into your applications. If you like to spend time adding page numbers to every page then no problem. Personally I would like not to have to worry about adding or re-ordering page numbers when editing a document. Its one of those small tasks that can easily get overlooked when you are up against a tight deadline or working on a document with lots of pages. If you have clients (or bosses) who can't make up their minds you can end up re-doing the page numbers on a document over and over and over and ... I think there are better things to spend my time doing and if the program Im using can help me then all the better.
Swings and round-abouts really but most other applications that have 'pages' allow you to add sequential page numbers and determine on what page the numbers should start . . Its a handy function and one that I and plenty of other users would been glad was there.
The PDF export is another handy feature that exists in other apps and its a massive time saver. Being able to export a PDF and have it reference the name of a page in the outputted PDFs file name is another huge time saver when you are under pressure . . . its just about trying to speed the process up, enter data the minimum number of times and make processing of a document and quick as possible with minimal margin for user error. I think most people would rather spend their time using LO and SU to do design work rather than re-shuffling page numbers and re-naming PDFs. -
RE: Auto Page Numbering Please! which could also mean
Yes yes yes - auto page number would be such a huge time saver!
Also better control of PDF export so you can export each page as a separate PDF and name it differently would be a big help. -
RE: Open Sketchup from Layout
Ah - beer! Damn good idea. Im going home to crack open a tinny! Cheers
-
RE: Replace multiple components from library
Thanks TIG - yet to test this out properly (other projects on at the moment) but hope to try it out shortly.
Cheers -
RE: Open Sketchup from Layout
It definitely gets the better of me some days
-
RE: Open Sketchup from Layout
Hi Dave R,
Thanks for coming back - just had a search around on and found the following forum
http://www.vistax64.com/tutorials/103171-file-name-extension.html
It explains here how to turn the extension view back on.
I guess its something that Ultimate turns off as part of the standard install.
Tried changing .layout to .zip and all works fine - problem solved!
Thanks -
RE: Open Sketchup from Layout
Hi,
Im trying to find the way to do this on PC (Windows Ultimate) but can't find any way to change the extension. I can't see how to change the extension from .layout to .zip. Ive tried rename (context menu in explorer) and properties and have also tried to compress the file and save it out of layout as a .zip but no joy.
Any help much appreciated.
Thanks
Sam